<!--
  ~ Copyright 2013-2023, Seqera Labs
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~     http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<html>

    <head>
        <title>Nextflow Cytoscape.js with Dagre</title>

        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1, maximum-scale=1">

        <script type="text/javascript">
        var prot = (("https:" == document.location.protocol) ? "https://" : "http://");
        document.write(unescape("%3Cscript src='" + prot + "code.jquery.com/jquery-2.0.3.min.js' type='text/javascript' %3E%3C/script%3E"));
        document.write(unescape("%3Cscript src='" + prot + "cdnjs.cloudflare.com/ajax/libs/cytoscape/2.6.12/cytoscape.min.js' type='text/javascript' %3E%3C/script%3E"));
        document.write(unescape("%3Cscript src='" + prot + "cdn.rawgit.com/cpettitt/dagre/v0.7.4/dist/dagre.min.js' type='text/javascript' %3E%3C/script%3E"));
        document.write(unescape("%3Cscript src='" + prot + "cdn.rawgit.com/cytoscape/cytoscape.js-dagre/1.1.2/cytoscape-dagre.js' type='text/javascript' %3E%3C/script%3E"));
        </script>

        <style>
            body {
                font-family: helvetica;
                font-size: 14px;
            }

            #cy {
                width: 100%;
                height: 100%;
                position: absolute;
                left: 0;
                top: 0;
                z-index: 999;
            }

            h1 {
                opacity: 0.5;
                font-size: 1em;
            }
        </style>

        <script>
            $(function(){
                var cy = window.cy = cytoscape({
                    container: document.getElementById('cy'),
                    boxSelectionEnabled: false,
                    autounselectify: true,

                    layout: {
                        name: 'dagre'
                    },

                    style: cytoscape.stylesheet()
                        .selector( 'node')
                            .css({
                                'width': 10,
                                'height': 10,
                                'content': 'data(label)',
                                'text-valign': 'center',
                                'text-halign': 'center',
                                'text-opacity': 0.5,
                            })
                        .selector('node.PROCESS')
                            .css({
                                'width': 100,
                                'height': 50,
                                'text-opacity': 0.9,
                                'background-color': '#009911'
                            })
                        .selector('node.OPERATOR')
                            .css({
                                'background-color': '#11479e',
                                'text-halign': 'right',
                            })
                        .selector('node.ORIGIN')
                            .css({
                                'background-color': '#999999',
                                'text-halign': 'right',
                            })
                        .selector('node.TERMINATION')
                            .css({
                                'background-color': '#999999',
                                'text-halign': 'right',
                            })
                        .selector('edge')
                            .css({
                                'content': 'data(label)',
                                'text-opacity': 0.5,
                                'width': 4,
                                'target-arrow-shape': 'triangle',
                                'line-color': '#9dbaea',
                                'target-arrow-color': '#9dbaea'
                            }),

elements: {
nodes: [
{ data: { id: 'p0', label: 'Channel.fromPath'}, classes: 'ORIGIN' },
{ data: { id: 'p1'}, classes: 'NODE' },
{ data: { id: 'p2', label: 'Channel.empty'}, classes: 'ORIGIN' },
{ data: { id: 'p3'}, classes: 'NODE' },
{ data: { id: 'p4', label: 'Channel.empty'}, classes: 'ORIGIN' },
{ data: { id: 'p5'}, classes: 'NODE' },
{ data: { id: 'p6'}, classes: 'ORIGIN' },
{ data: { id: 'p7', label: 'NFCORE_RNAFUSION:BUILD_REFERENCES:ENSEMBL_DOWNLOAD'}, classes: 'PROCESS' },
{ data: { id: 'p8'}, classes: 'NODE' },
{ data: { id: 'p9', label: 'map'}, classes: 'OPERATOR' },
{ data: { id: 'p10', label: 'NFCORE_RNAFUSION:BUILD_REFERENCES:SAMTOOLS_FAIDX'}, classes: 'PROCESS' },
{ data: { id: 'p11'}, classes: 'NODE' },
{ data: { id: 'p12'}, classes: 'NODE' },
{ data: { id: 'p13'}, classes: 'NODE' },
{ data: { id: 'p14', label: 'NFCORE_RNAFUSION:BUILD_REFERENCES:GATK4_CREATESEQUENCEDICTIONARY'}, classes: 'PROCESS' },
{ data: { id: 'p15'}, classes: 'NODE' },
{ data: { id: 'p16', label: 'map'}, classes: 'OPERATOR' },
{ data: { id: 'p17', label: 'NFCORE_RNAFUSION:BUILD_REFERENCES:RRNA_TRANSCRIPTS'}, classes: 'PROCESS' },
{ data: { id: 'p18'}, classes: 'NODE' },
{ data: { id: 'p19', label: 'NFCORE_RNAFUSION:BUILD_REFERENCES:CONVERT2BED'}, classes: 'PROCESS' },
{ data: { id: 'p20', label: 'NFCORE_RNAFUSION:BUILD_REFERENCES:GATK4_BEDTOINTERVALLIST'}, classes: 'PROCESS' },
{ data: { id: 'p21'}, classes: 'NODE' },
{ data: { id: 'p22'}, classes: 'NODE' },
{ data: { id: 'p23', label: 'NFCORE_RNAFUSION:BUILD_REFERENCES:PIZZLY_INDEX'}, classes: 'PROCESS' },
{ data: { id: 'p24'}, classes: 'NODE' },
{ data: { id: 'p25'}, classes: 'NODE' },
{ data: { id: 'p26', label: 'NFCORE_RNAFUSION:BUILD_REFERENCES:GTF_TO_REFFLAT'}, classes: 'PROCESS' },
{ data: { id: 'p27'}, classes: 'NODE' },
],
edges: [
{ data: { source: 'p0', target: 'p1', label: 'ch_multiqc_config' } },
{ data: { source: 'p2', target: 'p3', label: 'ch_multiqc_custom_config' } },
{ data: { source: 'p4', target: 'p5', label: 'ch_multiqc_logo' } },
{ data: { source: 'p6', target: 'p7', label: 'ensembl_version' } },
{ data: { source: 'p7', target: 'p8'} },
{ data: { source: 'p7', target: 'p9'} },
{ data: { source: 'p7', target: 'p16'} },
{ data: { source: 'p7', target: 'p26'} },
{ data: { source: 'p7', target: 'p23'} },
{ data: { source: 'p9', target: 'p10', label: 'ch_fasta_w_meta' } },
{ data: { source: 'p10', target: 'p13'} },
{ data: { source: 'p10', target: 'p12'} },
{ data: { source: 'p10', target: 'p11'} },
{ data: { source: 'p7', target: 'p14', label: 'fasta' } },
{ data: { source: 'p14', target: 'p20'} },
{ data: { source: 'p14', target: 'p15'} },
{ data: { source: 'p16', target: 'p17', label: 'ch_gtf_w_meta' } },
{ data: { source: 'p17', target: 'p19'} },
{ data: { source: 'p17', target: 'p18'} },
{ data: { source: 'p19', target: 'p20'} },
{ data: { source: 'p20', target: 'p22'} },
{ data: { source: 'p20', target: 'p21'} },
{ data: { source: 'p23', target: 'p25'} },
{ data: { source: 'p23', target: 'p24'} },
{ data: { source: 'p26', target: 'p27'} },
],
},

                });

            });
        </script>
    </head>

    <body>
        <h1>Nextflow Cytoscape.js with Dagre</h1>
        <div id="cy"></div>
    </body>

</html>
